vdecoder Struct Reference

## Data Fields

int | n
int | k
int | len
int | recursive
int | intrvl
struct vtrellis | trellis
int16_t ** | paths
void(* | metric_func )(const int8_t *, const int16_t *, int16_t *, int16_t *, int)

## Field Documentation

## intrvl

int vdecoder::intrvl

Referenced by forward_traverse(), and vdec_init().

## k

int vdecoder::k

Referenced by _traceback(), _traceback_rec(), traceback(), and vdec_init().

## len

int vdecoder::len

Referenced by conv_decode(), forward_traverse(), traceback(), and vdec_init().

## metric_func

void(* vdecoder::metric_func) (const int8_t *, const int16_t *, int16_t *, int16_t *, int)

Referenced by forward_traverse(), and vdec_init().

## n

int vdecoder::n

Referenced by conv_decode(), forward_traverse(), and vdec_init().

## paths

int16_t** vdecoder::paths

Referenced by _traceback(), _traceback_rec(), forward_traverse(), traceback(), vdec_deinit(), and vdec_init().

## recursive

int vdecoder::recursive

Referenced by generate_trellis(), traceback(), and vdec_init().

## trellis

struct vtrellis vdecoder::trellis

Referenced by _traceback(), _traceback_rec(), forward_traverse(), generate_trellis(), traceback(), and vdec_deinit().

The documentation for this struct was generated from the following file:

- src/conv_acc.c